#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:sharenfs, :parent => Puppet::Parameter::ZfsProperty) do

  desc <<-EOD
    Specifies if the project or share must be shared with the NFS protocol.

    You can set it to:

    - On (nfs share mode rw, no exceptions)
    - Off (nfs share mode none, no exceptions)
    - ro (nfs share mode ro, no exceptions)
    - An String detailled describing the share mode with possibility for e.g. network level exceptions etc., e.g.:
    sec=sys,ro,nosuid,nosub,rw=@2.3.4.5/32:@1.2.3.4/32,root=@2.3.4.5/32:@1.2.3.4/32:@6.7.8.9/32

        zfs_...{
          ...
          sharenfs => 'on'
          ...
        }
  EOD

  data_type("Optional[String]")

end
