#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password) do
  include EasyType

  desc <<-EOD
    The password used to connect to the ZFS appliance.

        zfs_appliance {my_appliance:
          ...
          password => 'very_secret',
          ...
        }


  EOD

  data_type("Optional[String[1]]")

  to_translate_to_resource do | raw_resource|
    raw_resource[self.name]
  end

  def is_to_s(currentvalue)
    '[old encrypted value]'
  end

  def should_to_s(newvalue)
    '[new encrypted value]'
  end


end
