#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:verify_ssl) do
  include EasyType

  desc <<-EOD
    Verify the SSL connection. e.g. Check if it has a valid SSL key.

        zfs_appliance {my_appliance:
          ...
          verify_ssl => 'true',
          ...
        }

  EOD

  data_type("Optional[Boolean]")

  defaultto true

  newvalues(:true, :false)

  to_translate_to_resource do | raw_resource|
    raw_resource[self.name]
  end

end
